> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Orders

> Retrieve all orders



## OpenAPI

````yaml GET /orders
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders:
    get:
      description: Retrieve all orders
      responses:
        '200':
          description: Orders retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Data retrieved successfully
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 19
                        internalReference:
                          type: string
                          example: 019d110b-c47f-7b86-8f87-c18c70b24f9f
                        reference:
                          type: string
                          example: 9689c0df-a313-4a5b-b71a-056c89b90977
                        description:
                          type: string
                          example: Food payment
                        currencyCode:
                          type: string
                          example: NGN
                        recipientName:
                          type: string
                          example: bsuitetest llc
                        userId:
                          type: integer
                          example: 1
                        businessId:
                          type: string
                          example: 9689c9df-a313-4c5b-b71a-056c89b90978
                        usdRate:
                          type: number
                          example: 0.85
                        amount:
                          type: number
                          example: 5000
                        amountInUSD:
                          type: integer
                          example: 4250
                        fee:
                          type: integer
                          example: 0
                        feeInUs:
                          type: integer
                          example: 0
                        amountSettledInUsd:
                          type: string
                          nullable: true
                          example: null
                        amountSettled:
                          type: string
                          nullable: true
                          example: null
                        customer:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type: string
                                example: example@gmail.com
                              lastName:
                                type: string
                                example: John
                              firstName:
                                type: string
                                example: Doe
                              phoneNumber:
                                type: string
                                example: '07023456789'
                              metadata:
                                type: string
                                nullable: true
                                example: null
                              status:
                                type: string
                                example: pending
                              paidAt:
                                type: string
                                nullable: true
                                example: null
                              settledAt:
                                type: string
                                nullable: true
                                example: null
                              cancelledAt:
                                type: string
                                nullable: true
                                example: null
                              createdAt:
                                type: string
                                format: date-time
                                example: '2026-03-21T20:07:33.000+01:00'
                              updatedAt:
                                type: string
                                format: date-time
                                example: '2026-03-25T07:09:06Z'

````